DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the Pagination features used.
Backend API
$(() => {
const pagination = $('#pagination')
.dxPagination({
showInfo: true,
showNavigationButtons: true,
allowedPageSizes: [4, 6],
itemCount: employees.length,
pageIndex: 1,
pageSize: 4,
onOptionChanged: (evt) => {
if (evt.name === 'pageSize') {
const pageSize = evt.value;
pagination.option('pageSize', pageSize);
const pageIndex = pagination.option('pageIndex');
renderEmployeeGallery(pageSize, pageIndex);
}
if (evt.name === 'pageIndex') {
const pageSize = pagination.option('pageSize');
const pageIndex = evt.value;
pagination.option('pageIndex', pageIndex);
renderEmployeeGallery(pageSize, pageIndex);
}
},
})
.dxPagination('instance');
const createEmployeeImg = (employee) => {
const imageWrapper = $('<div>').addClass('employees__img-wrapper');
const img = $('<img>').addClass('employees__img');
img.attr({ src: employee.Picture, alt: employee.FullName });
imageWrapper.append(img);
return imageWrapper;
};
const createEmployeeInfo = (employee) => {
const employeeInfo = $('<div>').addClass('employees__info');
const fullNameWrapper = $('<div>').addClass('employees__info-row');
const fullNameLabel = $('<span>').addClass('employees__info-label').text('Full Name:');
const fullName = $('<span>').addClass('employees__info-value').text(employee.FullName);
fullNameWrapper.append(fullNameLabel);
fullNameWrapper.append(fullName);
const positionWrapper = $('<div>').addClass('employees__info-row');
const positionLabel = $('<span>').addClass('employees__info-label').text('Position:');
const position = $('<span>').addClass('employees__info-value').text(employee.Title);
positionWrapper.append(positionLabel);
positionWrapper.append(position);
const phoneWrapper = $('<div>').addClass('employees__info-row');
const phoneLabel = $('<span>').addClass('employees__info-label').text('Phone:');
const phone = $('<span>').addClass('employees__info-value').text(employee.MobilePhone);
phoneWrapper.append(phoneLabel);
phoneWrapper.append(phone);
employeeInfo.append(fullNameWrapper);
employeeInfo.append(positionWrapper);
employeeInfo.append(phoneWrapper);
return employeeInfo;
};
const createEmployeeCard = (employee) => {
const cardEl = $('<div>').addClass('employees__card');
const imageWrapper = createEmployeeImg(employee);
const employeeInfo = createEmployeeInfo(employee);
cardEl.append(imageWrapper);
cardEl.append(employeeInfo);
return cardEl;
};
const renderEmployeeGallery = (pageSize, pageIndex) => {
const $employeesContainer = $('#employees');
$employeesContainer.empty();
if (pageSize === 4) {
$employeesContainer.removeClass('employees--six');
$employeesContainer.addClass('employees--forth');
} else {
$employeesContainer.removeClass('employees--forth');
$employeesContainer.addClass('employees--six');
}
const pageEmployees = employees.slice((pageIndex - 1) * pageSize, pageIndex * pageSize);
pageEmployees.forEach((employee) => {
const card = createEmployeeCard(employee);
$employeesContainer.append(card);
});
};
renderEmployeeGallery(pagination.option('pageSize'), pagination.option('pageIndex'));
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" href="styles.css" />
<script src="js/dx.all.js?v=26.1.3"></script>
<script src="data.js"></script>
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="container">
<div id="employees" class="employees"></div>
<div id="pagination"></div>
</div>
</div>
</body>
</html>
body {
overflow-x: hidden;
}
.demo-container {
display: flex;
flex-direction: column;
align-items: center;
}
.container {
min-width: 720px;
width: 100%;
}
.employees {
display: flex;
flex-wrap: wrap;
gap: 16px;
min-height: 644px;
padding-bottom: 24px;
}
.employees__card {
width: 100%;
max-height: 312px;
align-self: stretch;
overflow: hidden;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
background-color: var(--dx-component-color-bg);
}
.employees.employees--forth .employees__card {
min-width: 250px;
width: 390px;
flex-basis: calc(50% - 10px);
}
.employees.employees--six .employees__card {
flex-basis: calc(33.3% - 12.5px);
}
.employees__img-wrapper {
height: 180px;
position: relative;
overflow: hidden;
border-bottom: var(--dx-border-width) solid var(--dx-color-border);
background-color: #fff;
}
.employees__img {
display: block;
height: 220px;
position: absolute;
content: "";
left: 50%;
top: 0;
transform: translateX(-50%);
}
.employees__info {
padding: 24px;
}
.employees__info-row {
margin-bottom: 8px;
text-wrap: nowrap;
}
.employees__info-label {
display: inline-block;
font-weight: 600;
vertical-align: middle;
}
.employees.employees--forth .employees__info-label {
width: 160px;
}
.employees.employees--six .employees__info-label {
width: 80px;
}
.employees__info-value {
display: inline-block;
text-wrap: nowrap;
text-overflow: ellipsis;
vertical-align: middle;
overflow: hidden;
white-space:nowrap
}
.employees.employees--forth .employees__info-value {
max-width: 180px;
}
.employees.employees--six .employees__info-value {
max-width: 120px;
}
const employees = [
{
ID: 1,
FullName: 'John Heart',
Title: 'CEO',
Employee_Picture: '01.png',
Picture: '../../../../images/employees/01.png',
MobilePhone: '2135559392',
},
{
ID: 2,
FullName: 'Samantha Bright',
Title: 'COO',
Employee_Picture: '30.png',
Picture: '../../../../images/employees/30.png',
MobilePhone: '2135552858',
},
{
ID: 3,
FullName: 'Arthur Miller',
Title: 'CTO',
Employee_Picture: '10.png',
Picture: '../../../../images/employees/10.png',
MobilePhone: '3105558583',
},
{
ID: 4,
FullName: 'Robert Reagan',
Title: 'CMO',
Employee_Picture: '03.png',
Picture: '../../../../images/employees/03.png',
MobilePhone: '8185552387',
},
{
ID: 5,
FullName: 'Greta Sims',
Title: 'HR Manager',
Employee_Picture: '04.png',
Picture: '../../../../images/employees/04.png',
MobilePhone: '8185556546',
},
{
ID: 6,
FullName: 'Brett Wade',
Title: 'IT Manager',
Employee_Picture: '05.png',
Picture: '../../../../images/employees/05.png',
MobilePhone: '6265550358',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Title: 'Controller',
Employee_Picture: '06.png',
Picture: '../../../../images/employees/06.png',
MobilePhone: '5625552082',
},
{
ID: 8,
FullName: 'Ed Holmes',
Title: 'Sales Manager',
Employee_Picture: '11.png',
Picture: '../../../../images/employees/11.png',
MobilePhone: '3105551288',
},
{
ID: 9,
FullName: 'Barb Banks',
Title: 'Support Manager',
Employee_Picture: '20.png',
Picture: '../../../../images/employees/20.png',
MobilePhone: '3105553355',
},
{
ID: 10,
FullName: 'Kevin Carter',
Title: 'Shipping Manager',
Employee_Picture: '07.png',
Picture: '../../../../images/employees/07.png',
MobilePhone: '2135552840',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Title: 'HR Assistant',
Employee_Picture: '08.png',
Picture: '../../../../images/employees/08.png',
MobilePhone: '8185556655',
},
{
ID: 12,
FullName: 'Sammy Hill',
Title: 'Sales Assistant',
Employee_Picture: '12.png',
Picture: '../../../../images/employees/12.png',
MobilePhone: '6265557292',
},
{
ID: 13,
FullName: 'Davey Jones',
Title: 'Shipping Assistant',
Employee_Picture: '13.png',
Picture: '../../../../images/employees/13.png',
MobilePhone: '6265550281',
},
{
ID: 14,
FullName: 'Victor Norris',
Title: 'Shipping Assistant',
Employee_Picture: '14.png',
Picture: '../../../../images/employees/14.png',
MobilePhone: '2135559278',
},
{
ID: 15,
FullName: 'Mary Stern',
Title: 'Shipping Assistant',
Employee_Picture: '15.png',
Picture: '../../../../images/employees/15.png',
MobilePhone: '8185557857',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Title: 'Shipping Assistant',
Employee_Picture: '16.png',
Picture: '../../../../images/employees/16.png',
MobilePhone: '8185550942',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Title: 'Support Assistant',
Employee_Picture: '17.png',
Picture: '../../../../images/employees/17.png',
MobilePhone: '8185559248',
},
{
ID: 18,
FullName: 'James Anderson',
Title: 'Support Assistant',
Employee_Picture: '18.png',
Picture: '../../../../images/employees/18.png',
MobilePhone: '3235554702',
},
{
ID: 19,
FullName: 'Antony Remmen',
Title: 'Support Assistant',
Employee_Picture: '19.png',
Picture: '../../../../images/employees/19.png',
MobilePhone: '3105556625',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Title: 'Sales Assistant',
Employee_Picture: '09.png',
Picture: '../../../../images/employees/09.png',
MobilePhone: '3105552728',
},
{
ID: 21,
FullName: 'Taylor Riley',
Title: 'Network Admin',
Employee_Picture: '21.png',
Picture: '../../../../images/employees/21.png',
MobilePhone: '3105557276',
},
{
ID: 22,
FullName: 'Amelia Harper',
Title: 'Network Admin',
Employee_Picture: '22.png',
Picture: '../../../../images/employees/22.png',
MobilePhone: '2135554276',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Title: 'Programmer',
Employee_Picture: '23.png',
Picture: '../../../../images/employees/23.png',
MobilePhone: '8185558872',
},
{
ID: 24,
FullName: 'Brad Jameson',
Title: 'Programmer',
Employee_Picture: '24.png',
Picture: '../../../../images/employees/24.png',
MobilePhone: '8185554646',
},
{
ID: 25,
FullName: 'Karen Goodson',
Title: 'Programmer',
Employee_Picture: '25.png',
Picture: '../../../../images/employees/25.png',
MobilePhone: '6265550908',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Title: 'Travel Coordinator',
Employee_Picture: '26.png',
Picture: '../../../../images/employees/26.png',
MobilePhone: '2135557098',
},
{
ID: 27,
FullName: 'Sandy Bright',
Title: 'Benefits Coordinator',
Employee_Picture: '27.png',
Picture: '../../../../images/employees/27.png',
MobilePhone: '8185550524',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Title: 'Graphic Designer',
Employee_Picture: '28.png',
Picture: '../../../../images/employees/28.png',
MobilePhone: '8185558238',
},
{
ID: 29,
FullName: 'Violet Bailey',
Title: 'Jr Graphic Designer',
Employee_Picture: '29.png',
Picture: '../../../../images/employees/29.png',
MobilePhone: '8185552478',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Title: 'Ombudsman',
Employee_Picture: '02.png',
Picture: '../../../../images/employees/02.png',
MobilePhone: '5625559282',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Title: 'Trainer',
Employee_Picture: '31.png',
Picture: '../../../../images/employees/31.png',
MobilePhone: '5625558377',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Title: 'Director of Engineering',
Employee_Picture: '32.png',
Picture: '../../../../images/employees/32.png',
MobilePhone: '7145552000',
},
{
ID: 33,
FullName: 'Leah Simpson',
Title: 'Test Coordinator',
Employee_Picture: '33.png',
Picture: '../../../../images/employees/33.png',
MobilePhone: '5625595830',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Title: 'Engineer',
Employee_Picture: '34.png',
Picture: '../../../../images/employees/34.png',
MobilePhone: '7145558882',
},
{
ID: 35,
FullName: 'Billy Zimmer',
Title: 'Engineer',
Employee_Picture: '51.png',
Picture: '../../../../images/employees/51.png',
MobilePhone: '9095556939',
},
{
ID: 36,
FullName: 'Samantha Piper',
Title: 'Engineer',
Employee_Picture: '35.png',
Picture: '../../../../images/employees/35.png',
MobilePhone: '3235554512',
},
{
ID: 37,
FullName: 'Maggie Boxter',
Title: 'Engineer',
Employee_Picture: '36.png',
Picture: '../../../../images/employees/36.png',
MobilePhone: '7145557239',
},
{
ID: 38,
FullName: 'Terry Bradley',
Title: 'QA Engineer',
Employee_Picture: '37.png',
Picture: '../../../../images/employees/37.png',
MobilePhone: '8055552788',
},
{
ID: 39,
FullName: 'Gabe Jones',
Title: 'Retail Coordinator',
Employee_Picture: '38.png',
Picture: '../../../../images/employees/38.png',
MobilePhone: '3105555395',
},
{
ID: 40,
FullName: 'Lucy Ball',
Title: 'Sales Assistant',
Employee_Picture: '39.png',
Picture: '../../../../images/employees/39.png',
MobilePhone: '3105553357',
},
{
ID: 41,
FullName: 'Jim Packard',
Title: 'Retail Sales Manager',
Employee_Picture: '40.png',
Picture: '../../../../images/employees/40.png',
MobilePhone: '6615558224',
},
{
ID: 42,
FullName: 'Hannah Brookly',
Title: 'Online Sales Manager',
Employee_Picture: '41.png',
Picture: '../../../../images/employees/41.png',
MobilePhone: '8055553627',
},
{
ID: 43,
FullName: 'Harv Mudd',
Title: 'Retail Sales Manager',
Employee_Picture: '42.png',
Picture: '../../../../images/employees/42.png',
MobilePhone: '8315553895',
},
{
ID: 44,
FullName: 'Clark Morgan',
Title: 'Retail Sales Manager',
Employee_Picture: '43.png',
Picture: '../../../../images/employees/43.png',
MobilePhone: '9255552525',
},
{
ID: 45,
FullName: 'Todd Hoffman',
Title: 'Retail Sales Manager',
Employee_Picture: '44.png',
Picture: '../../../../images/employees/44.png',
MobilePhone: '9255553579',
},
{
ID: 46,
FullName: 'Jackie Garmin',
Title: 'Support Assistant',
Employee_Picture: '45.png',
Picture: '../../../../images/employees/45.png',
MobilePhone: '2135551824',
},
{
ID: 47,
FullName: 'Lincoln Bartlett',
Title: 'Sales Assistant',
Employee_Picture: '46.png',
Picture: '../../../../images/employees/46.png',
MobilePhone: '2135558272',
},
{
ID: 48,
FullName: 'Brad Farkus',
Title: 'Engineer',
Employee_Picture: '47.png',
Picture: '../../../../images/employees/47.png',
MobilePhone: '2135553626',
},
{
ID: 49,
FullName: 'Jenny Hobbs',
Title: 'Shipping Assistant',
Employee_Picture: '48.png',
Picture: '../../../../images/employees/48.png',
MobilePhone: '3105552668',
},
{
ID: 50,
FullName: 'Dallas Lou',
Title: 'Shipping Assistant',
Employee_Picture: '49.png',
Picture: '../../../../images/employees/49.png',
MobilePhone: '2135558357',
},
{
ID: 51,
FullName: 'Stu Pizaro',
Title: 'Engineer',
Employee_Picture: '50.png',
Picture: '../../../../images/employees/50.png',
MobilePhone: '2135552552',
},
];

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the Pagination features used.
Backend API
import React, { useState } from 'react';
import Pagination from 'devextreme-react/pagination';
import EmployeeGallery from './EmployeesGallery.tsx';
import { employees } from './data.ts';
const PAGE_SIZES = [4, 6];
const App = () => {
const [pageSize, setPageSize] = useState(4);
const [pageIndex, setPageIndex] = useState(1);
return (
<>
<EmployeeGallery
employees={employees}
pageSize={pageSize}
pageIndex={pageIndex}
/>
<Pagination
showInfo
showNavigationButtons
allowedPageSizes={PAGE_SIZES}
itemCount={employees.length}
pageIndex={pageIndex}
pageSize={pageSize}
onPageIndexChange={setPageIndex}
onPageSizeChange={setPageSize}
/>
</>
);
};
export default App;
import React, { useState } from 'react';
import Pagination from 'devextreme-react/pagination';
import EmployeeGallery from './EmployeesGallery.js';
import { employees } from './data.js';
const PAGE_SIZES = [4, 6];
const App = () => {
const [pageSize, setPageSize] = useState(4);
const [pageIndex, setPageIndex] = useState(1);
return (
<>
<EmployeeGallery
employees={employees}
pageSize={pageSize}
pageIndex={pageIndex}
/>
<Pagination
showInfo
showNavigationButtons
allowedPageSizes={PAGE_SIZES}
itemCount={employees.length}
pageIndex={pageIndex}
pageSize={pageSize}
onPageIndexChange={setPageIndex}
onPageSizeChange={setPageSize}
/>
</>
);
};
export default App;
import React from 'react';
import type { Employee } from './data';
interface EmployeeCardProps {
employee: Employee;
}
const EmployeeCard = ({ employee }: EmployeeCardProps) => (
<div className="employees__card">
<div className="employees__img-wrapper">
<img
className="employees__img"
src={employee.Picture}
alt={employee.FullName}
/>
</div>
<div className="employees__info">
<div className="employees__info-row">
<span className="employees__info-label">Full Name:</span>
<span className="employees__info-value">{employee.FullName}</span>
</div>
<div className="employees__info-row">
<span className="employees__info-label">Position:</span>
<span className="employees__info-value">{employee.Title}</span>
</div>
<div className="employees__info-row">
<span className="employees__info-label">Phone:</span>
<span className="employees__info-value">{employee.MobilePhone}</span>
</div>
</div>
</div>
);
export default EmployeeCard;
import React from 'react';
import EmployeeCard from './EmployeeCard.tsx';
import type { Employee } from './data';
interface EmployeeGalleryProps {
employees: Employee[];
pageSize: number;
pageIndex: number;
}
const EmployeeGallery = ({ employees, pageSize, pageIndex }: EmployeeGalleryProps) => {
const cardsNumber = pageSize === 4 ? 'employees--forth' : 'employees--six';
const pageEmployees = employees.slice((pageIndex - 1) * pageSize, pageIndex * pageSize);
return (
<div className={`employees ${cardsNumber}`}>
{pageEmployees.map((employee) => (
<EmployeeCard
key={employee.ID}
employee={employee}
/>
))}
</div>
);
};
export default EmployeeGallery;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.querySelector('.container'),
);
export interface Employee {
ID: number;
FullName: string;
Title: string;
Employee_Picture: string;
Picture: string;
MobilePhone: string;
}
export const employees: Employee[] = [
{
ID: 1,
FullName: 'John Heart',
Title: 'CEO',
Employee_Picture: '01.png',
Picture: '../../../../images/employees/01.png',
MobilePhone: '2135559392',
},
{
ID: 2,
FullName: 'Samantha Bright',
Title: 'COO',
Employee_Picture: '30.png',
Picture: '../../../../images/employees/30.png',
MobilePhone: '2135552858',
},
{
ID: 3,
FullName: 'Arthur Miller',
Title: 'CTO',
Employee_Picture: '10.png',
Picture: '../../../../images/employees/10.png',
MobilePhone: '3105558583',
},
{
ID: 4,
FullName: 'Robert Reagan',
Title: 'CMO',
Employee_Picture: '03.png',
Picture: '../../../../images/employees/03.png',
MobilePhone: '8185552387',
},
{
ID: 5,
FullName: 'Greta Sims',
Title: 'HR Manager',
Employee_Picture: '04.png',
Picture: '../../../../images/employees/04.png',
MobilePhone: '8185556546',
},
{
ID: 6,
FullName: 'Brett Wade',
Title: 'IT Manager',
Employee_Picture: '05.png',
Picture: '../../../../images/employees/05.png',
MobilePhone: '6265550358',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Title: 'Controller',
Employee_Picture: '06.png',
Picture: '../../../../images/employees/06.png',
MobilePhone: '5625552082',
},
{
ID: 8,
FullName: 'Ed Holmes',
Title: 'Sales Manager',
Employee_Picture: '11.png',
Picture: '../../../../images/employees/11.png',
MobilePhone: '3105551288',
},
{
ID: 9,
FullName: 'Barb Banks',
Title: 'Support Manager',
Employee_Picture: '20.png',
Picture: '../../../../images/employees/20.png',
MobilePhone: '3105553355',
},
{
ID: 10,
FullName: 'Kevin Carter',
Title: 'Shipping Manager',
Employee_Picture: '07.png',
Picture: '../../../../images/employees/07.png',
MobilePhone: '2135552840',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Title: 'HR Assistant',
Employee_Picture: '08.png',
Picture: '../../../../images/employees/08.png',
MobilePhone: '8185556655',
},
{
ID: 12,
FullName: 'Sammy Hill',
Title: 'Sales Assistant',
Employee_Picture: '12.png',
Picture: '../../../../images/employees/12.png',
MobilePhone: '6265557292',
},
{
ID: 13,
FullName: 'Davey Jones',
Title: 'Shipping Assistant',
Employee_Picture: '13.png',
Picture: '../../../../images/employees/13.png',
MobilePhone: '6265550281',
},
{
ID: 14,
FullName: 'Victor Norris',
Title: 'Shipping Assistant',
Employee_Picture: '14.png',
Picture: '../../../../images/employees/14.png',
MobilePhone: '2135559278',
},
{
ID: 15,
FullName: 'Mary Stern',
Title: 'Shipping Assistant',
Employee_Picture: '15.png',
Picture: '../../../../images/employees/15.png',
MobilePhone: '8185557857',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Title: 'Shipping Assistant',
Employee_Picture: '16.png',
Picture: '../../../../images/employees/16.png',
MobilePhone: '8185550942',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Title: 'Support Assistant',
Employee_Picture: '17.png',
Picture: '../../../../images/employees/17.png',
MobilePhone: '8185559248',
},
{
ID: 18,
FullName: 'James Anderson',
Title: 'Support Assistant',
Employee_Picture: '18.png',
Picture: '../../../../images/employees/18.png',
MobilePhone: '3235554702',
},
{
ID: 19,
FullName: 'Antony Remmen',
Title: 'Support Assistant',
Employee_Picture: '19.png',
Picture: '../../../../images/employees/19.png',
MobilePhone: '3105556625',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Title: 'Sales Assistant',
Employee_Picture: '09.png',
Picture: '../../../../images/employees/09.png',
MobilePhone: '3105552728',
},
{
ID: 21,
FullName: 'Taylor Riley',
Title: 'Network Admin',
Employee_Picture: '21.png',
Picture: '../../../../images/employees/21.png',
MobilePhone: '3105557276',
},
{
ID: 22,
FullName: 'Amelia Harper',
Title: 'Network Admin',
Employee_Picture: '22.png',
Picture: '../../../../images/employees/22.png',
MobilePhone: '2135554276',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Title: 'Programmer',
Employee_Picture: '23.png',
Picture: '../../../../images/employees/23.png',
MobilePhone: '8185558872',
},
{
ID: 24,
FullName: 'Brad Jameson',
Title: 'Programmer',
Employee_Picture: '24.png',
Picture: '../../../../images/employees/24.png',
MobilePhone: '8185554646',
},
{
ID: 25,
FullName: 'Karen Goodson',
Title: 'Programmer',
Employee_Picture: '25.png',
Picture: '../../../../images/employees/25.png',
MobilePhone: '6265550908',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Title: 'Travel Coordinator',
Employee_Picture: '26.png',
Picture: '../../../../images/employees/26.png',
MobilePhone: '2135557098',
},
{
ID: 27,
FullName: 'Sandy Bright',
Title: 'Benefits Coordinator',
Employee_Picture: '27.png',
Picture: '../../../../images/employees/27.png',
MobilePhone: '8185550524',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Title: 'Graphic Designer',
Employee_Picture: '28.png',
Picture: '../../../../images/employees/28.png',
MobilePhone: '8185558238',
},
{
ID: 29,
FullName: 'Violet Bailey',
Title: 'Jr Graphic Designer',
Employee_Picture: '29.png',
Picture: '../../../../images/employees/29.png',
MobilePhone: '8185552478',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Title: 'Ombudsman',
Employee_Picture: '02.png',
Picture: '../../../../images/employees/02.png',
MobilePhone: '5625559282',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Title: 'Trainer',
Employee_Picture: '31.png',
Picture: '../../../../images/employees/31.png',
MobilePhone: '5625558377',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Title: 'Director of Engineering',
Employee_Picture: '32.png',
Picture: '../../../../images/employees/32.png',
MobilePhone: '7145552000',
},
{
ID: 33,
FullName: 'Leah Simpson',
Title: 'Test Coordinator',
Employee_Picture: '33.png',
Picture: '../../../../images/employees/33.png',
MobilePhone: '5625595830',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Title: 'Engineer',
Employee_Picture: '34.png',
Picture: '../../../../images/employees/34.png',
MobilePhone: '7145558882',
},
{
ID: 35,
FullName: 'Billy Zimmer',
Title: 'Engineer',
Employee_Picture: '51.png',
Picture: '../../../../images/employees/51.png',
MobilePhone: '9095556939',
},
{
ID: 36,
FullName: 'Samantha Piper',
Title: 'Engineer',
Employee_Picture: '35.png',
Picture: '../../../../images/employees/35.png',
MobilePhone: '3235554512',
},
{
ID: 37,
FullName: 'Maggie Boxter',
Title: 'Engineer',
Employee_Picture: '36.png',
Picture: '../../../../images/employees/36.png',
MobilePhone: '7145557239',
},
{
ID: 38,
FullName: 'Terry Bradley',
Title: 'QA Engineer',
Employee_Picture: '37.png',
Picture: '../../../../images/employees/37.png',
MobilePhone: '8055552788',
},
{
ID: 39,
FullName: 'Gabe Jones',
Title: 'Retail Coordinator',
Employee_Picture: '38.png',
Picture: '../../../../images/employees/38.png',
MobilePhone: '3105555395',
},
{
ID: 40,
FullName: 'Lucy Ball',
Title: 'Sales Assistant',
Employee_Picture: '39.png',
Picture: '../../../../images/employees/39.png',
MobilePhone: '3105553357',
},
{
ID: 41,
FullName: 'Jim Packard',
Title: 'Retail Sales Manager',
Employee_Picture: '40.png',
Picture: '../../../../images/employees/40.png',
MobilePhone: '6615558224',
},
{
ID: 42,
FullName: 'Hannah Brookly',
Title: 'Online Sales Manager',
Employee_Picture: '41.png',
Picture: '../../../../images/employees/41.png',
MobilePhone: '8055553627',
},
{
ID: 43,
FullName: 'Harv Mudd',
Title: 'Retail Sales Manager',
Employee_Picture: '42.png',
Picture: '../../../../images/employees/42.png',
MobilePhone: '8315553895',
},
{
ID: 44,
FullName: 'Clark Morgan',
Title: 'Retail Sales Manager',
Employee_Picture: '43.png',
Picture: '../../../../images/employees/43.png',
MobilePhone: '9255552525',
},
{
ID: 45,
FullName: 'Todd Hoffman',
Title: 'Retail Sales Manager',
Employee_Picture: '44.png',
Picture: '../../../../images/employees/44.png',
MobilePhone: '9255553579',
},
{
ID: 46,
FullName: 'Jackie Garmin',
Title: 'Support Assistant',
Employee_Picture: '45.png',
Picture: '../../../../images/employees/45.png',
MobilePhone: '2135551824',
},
{
ID: 47,
FullName: 'Lincoln Bartlett',
Title: 'Sales Assistant',
Employee_Picture: '46.png',
Picture: '../../../../images/employees/46.png',
MobilePhone: '2135558272',
},
{
ID: 48,
FullName: 'Brad Farkus',
Title: 'Engineer',
Employee_Picture: '47.png',
Picture: '../../../../images/employees/47.png',
MobilePhone: '2135553626',
},
{
ID: 49,
FullName: 'Jenny Hobbs',
Title: 'Shipping Assistant',
Employee_Picture: '48.png',
Picture: '../../../../images/employees/48.png',
MobilePhone: '3105552668',
},
{
ID: 50,
FullName: 'Dallas Lou',
Title: 'Shipping Assistant',
Employee_Picture: '49.png',
Picture: '../../../../images/employees/49.png',
MobilePhone: '2135558357',
},
{
ID: 51,
FullName: 'Stu Pizaro',
Title: 'Engineer',
Employee_Picture: '50.png',
Picture: '../../../../images/employees/50.png',
MobilePhone: '2135552552',
},
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
const EmployeeCard = ({ employee }) => (
<div className="employees__card">
<div className="employees__img-wrapper">
<img
className="employees__img"
src={employee.Picture}
alt={employee.FullName}
/>
</div>
<div className="employees__info">
<div className="employees__info-row">
<span className="employees__info-label">Full Name:</span>
<span className="employees__info-value">{employee.FullName}</span>
</div>
<div className="employees__info-row">
<span className="employees__info-label">Position:</span>
<span className="employees__info-value">{employee.Title}</span>
</div>
<div className="employees__info-row">
<span className="employees__info-label">Phone:</span>
<span className="employees__info-value">{employee.MobilePhone}</span>
</div>
</div>
</div>
);
export default EmployeeCard;
import React from 'react';
import EmployeeCard from './EmployeeCard.js';
const EmployeeGallery = ({ employees, pageSize, pageIndex }) => {
const cardsNumber = pageSize === 4 ? 'employees--forth' : 'employees--six';
const pageEmployees = employees.slice((pageIndex - 1) * pageSize, pageIndex * pageSize);
return (
<div className={`employees ${cardsNumber}`}>
{pageEmployees.map((employee) => (
<EmployeeCard
key={employee.ID}
employee={employee}
/>
))}
</div>
);
};
export default EmployeeGallery;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.querySelector('.container'));
export const employees = [
{
ID: 1,
FullName: 'John Heart',
Title: 'CEO',
Employee_Picture: '01.png',
Picture: '../../../../images/employees/01.png',
MobilePhone: '2135559392',
},
{
ID: 2,
FullName: 'Samantha Bright',
Title: 'COO',
Employee_Picture: '30.png',
Picture: '../../../../images/employees/30.png',
MobilePhone: '2135552858',
},
{
ID: 3,
FullName: 'Arthur Miller',
Title: 'CTO',
Employee_Picture: '10.png',
Picture: '../../../../images/employees/10.png',
MobilePhone: '3105558583',
},
{
ID: 4,
FullName: 'Robert Reagan',
Title: 'CMO',
Employee_Picture: '03.png',
Picture: '../../../../images/employees/03.png',
MobilePhone: '8185552387',
},
{
ID: 5,
FullName: 'Greta Sims',
Title: 'HR Manager',
Employee_Picture: '04.png',
Picture: '../../../../images/employees/04.png',
MobilePhone: '8185556546',
},
{
ID: 6,
FullName: 'Brett Wade',
Title: 'IT Manager',
Employee_Picture: '05.png',
Picture: '../../../../images/employees/05.png',
MobilePhone: '6265550358',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Title: 'Controller',
Employee_Picture: '06.png',
Picture: '../../../../images/employees/06.png',
MobilePhone: '5625552082',
},
{
ID: 8,
FullName: 'Ed Holmes',
Title: 'Sales Manager',
Employee_Picture: '11.png',
Picture: '../../../../images/employees/11.png',
MobilePhone: '3105551288',
},
{
ID: 9,
FullName: 'Barb Banks',
Title: 'Support Manager',
Employee_Picture: '20.png',
Picture: '../../../../images/employees/20.png',
MobilePhone: '3105553355',
},
{
ID: 10,
FullName: 'Kevin Carter',
Title: 'Shipping Manager',
Employee_Picture: '07.png',
Picture: '../../../../images/employees/07.png',
MobilePhone: '2135552840',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Title: 'HR Assistant',
Employee_Picture: '08.png',
Picture: '../../../../images/employees/08.png',
MobilePhone: '8185556655',
},
{
ID: 12,
FullName: 'Sammy Hill',
Title: 'Sales Assistant',
Employee_Picture: '12.png',
Picture: '../../../../images/employees/12.png',
MobilePhone: '6265557292',
},
{
ID: 13,
FullName: 'Davey Jones',
Title: 'Shipping Assistant',
Employee_Picture: '13.png',
Picture: '../../../../images/employees/13.png',
MobilePhone: '6265550281',
},
{
ID: 14,
FullName: 'Victor Norris',
Title: 'Shipping Assistant',
Employee_Picture: '14.png',
Picture: '../../../../images/employees/14.png',
MobilePhone: '2135559278',
},
{
ID: 15,
FullName: 'Mary Stern',
Title: 'Shipping Assistant',
Employee_Picture: '15.png',
Picture: '../../../../images/employees/15.png',
MobilePhone: '8185557857',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Title: 'Shipping Assistant',
Employee_Picture: '16.png',
Picture: '../../../../images/employees/16.png',
MobilePhone: '8185550942',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Title: 'Support Assistant',
Employee_Picture: '17.png',
Picture: '../../../../images/employees/17.png',
MobilePhone: '8185559248',
},
{
ID: 18,
FullName: 'James Anderson',
Title: 'Support Assistant',
Employee_Picture: '18.png',
Picture: '../../../../images/employees/18.png',
MobilePhone: '3235554702',
},
{
ID: 19,
FullName: 'Antony Remmen',
Title: 'Support Assistant',
Employee_Picture: '19.png',
Picture: '../../../../images/employees/19.png',
MobilePhone: '3105556625',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Title: 'Sales Assistant',
Employee_Picture: '09.png',
Picture: '../../../../images/employees/09.png',
MobilePhone: '3105552728',
},
{
ID: 21,
FullName: 'Taylor Riley',
Title: 'Network Admin',
Employee_Picture: '21.png',
Picture: '../../../../images/employees/21.png',
MobilePhone: '3105557276',
},
{
ID: 22,
FullName: 'Amelia Harper',
Title: 'Network Admin',
Employee_Picture: '22.png',
Picture: '../../../../images/employees/22.png',
MobilePhone: '2135554276',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Title: 'Programmer',
Employee_Picture: '23.png',
Picture: '../../../../images/employees/23.png',
MobilePhone: '8185558872',
},
{
ID: 24,
FullName: 'Brad Jameson',
Title: 'Programmer',
Employee_Picture: '24.png',
Picture: '../../../../images/employees/24.png',
MobilePhone: '8185554646',
},
{
ID: 25,
FullName: 'Karen Goodson',
Title: 'Programmer',
Employee_Picture: '25.png',
Picture: '../../../../images/employees/25.png',
MobilePhone: '6265550908',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Title: 'Travel Coordinator',
Employee_Picture: '26.png',
Picture: '../../../../images/employees/26.png',
MobilePhone: '2135557098',
},
{
ID: 27,
FullName: 'Sandy Bright',
Title: 'Benefits Coordinator',
Employee_Picture: '27.png',
Picture: '../../../../images/employees/27.png',
MobilePhone: '8185550524',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Title: 'Graphic Designer',
Employee_Picture: '28.png',
Picture: '../../../../images/employees/28.png',
MobilePhone: '8185558238',
},
{
ID: 29,
FullName: 'Violet Bailey',
Title: 'Jr Graphic Designer',
Employee_Picture: '29.png',
Picture: '../../../../images/employees/29.png',
MobilePhone: '8185552478',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Title: 'Ombudsman',
Employee_Picture: '02.png',
Picture: '../../../../images/employees/02.png',
MobilePhone: '5625559282',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Title: 'Trainer',
Employee_Picture: '31.png',
Picture: '../../../../images/employees/31.png',
MobilePhone: '5625558377',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Title: 'Director of Engineering',
Employee_Picture: '32.png',
Picture: '../../../../images/employees/32.png',
MobilePhone: '7145552000',
},
{
ID: 33,
FullName: 'Leah Simpson',
Title: 'Test Coordinator',
Employee_Picture: '33.png',
Picture: '../../../../images/employees/33.png',
MobilePhone: '5625595830',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Title: 'Engineer',
Employee_Picture: '34.png',
Picture: '../../../../images/employees/34.png',
MobilePhone: '7145558882',
},
{
ID: 35,
FullName: 'Billy Zimmer',
Title: 'Engineer',
Employee_Picture: '51.png',
Picture: '../../../../images/employees/51.png',
MobilePhone: '9095556939',
},
{
ID: 36,
FullName: 'Samantha Piper',
Title: 'Engineer',
Employee_Picture: '35.png',
Picture: '../../../../images/employees/35.png',
MobilePhone: '3235554512',
},
{
ID: 37,
FullName: 'Maggie Boxter',
Title: 'Engineer',
Employee_Picture: '36.png',
Picture: '../../../../images/employees/36.png',
MobilePhone: '7145557239',
},
{
ID: 38,
FullName: 'Terry Bradley',
Title: 'QA Engineer',
Employee_Picture: '37.png',
Picture: '../../../../images/employees/37.png',
MobilePhone: '8055552788',
},
{
ID: 39,
FullName: 'Gabe Jones',
Title: 'Retail Coordinator',
Employee_Picture: '38.png',
Picture: '../../../../images/employees/38.png',
MobilePhone: '3105555395',
},
{
ID: 40,
FullName: 'Lucy Ball',
Title: 'Sales Assistant',
Employee_Picture: '39.png',
Picture: '../../../../images/employees/39.png',
MobilePhone: '3105553357',
},
{
ID: 41,
FullName: 'Jim Packard',
Title: 'Retail Sales Manager',
Employee_Picture: '40.png',
Picture: '../../../../images/employees/40.png',
MobilePhone: '6615558224',
},
{
ID: 42,
FullName: 'Hannah Brookly',
Title: 'Online Sales Manager',
Employee_Picture: '41.png',
Picture: '../../../../images/employees/41.png',
MobilePhone: '8055553627',
},
{
ID: 43,
FullName: 'Harv Mudd',
Title: 'Retail Sales Manager',
Employee_Picture: '42.png',
Picture: '../../../../images/employees/42.png',
MobilePhone: '8315553895',
},
{
ID: 44,
FullName: 'Clark Morgan',
Title: 'Retail Sales Manager',
Employee_Picture: '43.png',
Picture: '../../../../images/employees/43.png',
MobilePhone: '9255552525',
},
{
ID: 45,
FullName: 'Todd Hoffman',
Title: 'Retail Sales Manager',
Employee_Picture: '44.png',
Picture: '../../../../images/employees/44.png',
MobilePhone: '9255553579',
},
{
ID: 46,
FullName: 'Jackie Garmin',
Title: 'Support Assistant',
Employee_Picture: '45.png',
Picture: '../../../../images/employees/45.png',
MobilePhone: '2135551824',
},
{
ID: 47,
FullName: 'Lincoln Bartlett',
Title: 'Sales Assistant',
Employee_Picture: '46.png',
Picture: '../../../../images/employees/46.png',
MobilePhone: '2135558272',
},
{
ID: 48,
FullName: 'Brad Farkus',
Title: 'Engineer',
Employee_Picture: '47.png',
Picture: '../../../../images/employees/47.png',
MobilePhone: '2135553626',
},
{
ID: 49,
FullName: 'Jenny Hobbs',
Title: 'Shipping Assistant',
Employee_Picture: '48.png',
Picture: '../../../../images/employees/48.png',
MobilePhone: '3105552668',
},
{
ID: 50,
FullName: 'Dallas Lou',
Title: 'Shipping Assistant',
Employee_Picture: '49.png',
Picture: '../../../../images/employees/49.png',
MobilePhone: '2135558357',
},
{
ID: 51,
FullName: 'Stu Pizaro',
Title: 'Engineer',
Employee_Picture: '50.png',
Picture: '../../../../images/employees/50.png',
MobilePhone: '2135552552',
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="container"></div>
</div>
</body>
</html>
body {
overflow-x: hidden;
}
.demo-container {
display: flex;
flex-direction: column;
align-items: center;
}
.container {
min-width: 720px;
width: 100%;
}
.employees {
display: flex;
flex-wrap: wrap;
gap: 16px;
min-height: 644px;
padding-bottom: 24px;
}
.employees__card {
width: 100%;
max-height: 312px;
align-self: stretch;
overflow: hidden;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
background-color: var(--dx-component-color-bg);
}
.employees.employees--forth .employees__card {
min-width: 250px;
width: 390px;
flex-basis: calc(50% - 10px);
}
.employees.employees--six .employees__card {
flex-basis: calc(33.3% - 12.5px);
}
.employees__img-wrapper {
height: 180px;
position: relative;
overflow: hidden;
border-bottom: var(--dx-border-width) solid var(--dx-color-border);
background-color: #fff;
}
.employees__img {
display: block;
height: 220px;
position: absolute;
content: "";
left: 50%;
top: 0;
transform: translateX(-50%);
}
.employees__info {
padding: 24px;
}
.employees__info-row {
margin-bottom: 8px;
text-wrap: nowrap;
}
.employees__info-label {
display: inline-block;
font-weight: 600;
vertical-align: middle;
}
.employees.employees--forth .employees__info-label {
width: 160px;
}
.employees.employees--six .employees__info-label {
width: 80px;
}
.employees__info-value {
display: inline-block;
text-wrap: nowrap;
text-overflow: ellipsis;
vertical-align: middle;
overflow: hidden;
white-space:nowrap
}
.employees.employees--forth .employees__info-value {
max-width: 180px;
}
.employees.employees--six .employees__info-value {
max-width: 120px;
}

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the Pagination features used.
Backend API
<div class="container">
<div
class="employees"
[class]="pageSize === 4 ? 'employees--forth' : 'employees--six'"
>
@for (employee of pageEmployees; track employee.ID) {
<employee-card [employee]="employee"> </employee-card>
}
</div>
<dx-pagination
[showInfo]="showInfo"
[showNavigationButtons]="showNavigationButtons"
[allowedPageSizes]="allowedPageSizes"
[itemCount]="itemCount"
[pageIndex]="pageIndex"
[pageSize]="pageSize"
(pageIndexChange)="onPageIndexChange($event)"
(pageSizeChange)="onPageSizeChange($event)"
>
</dx-pagination>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxPaginationModule } from 'devextreme-angular';
import { Employee, Service } from './app.service';
import { EmployeeCard } from './employee-card/employee-card.component';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxPaginationModule,
EmployeeCard,
],
})
export class AppComponent {
employees: Employee[];
pageEmployees: Employee[];
itemCount: number;
readonly allowedPageSizes = [4, 6];
showInfo = true;
showNavigationButtons = true;
pageIndex = 1;
pageSize = 4;
onPageIndexChange(val) {
this.pageIndex = val;
this.setPageEmployees();
}
onPageSizeChange(val) {
this.pageSize = val;
this.setPageEmployees();
}
setPageEmployees() {
this.pageEmployees = this.employees.slice((this.pageIndex - 1) * this.pageSize, this.pageIndex * this.pageSize);
}
constructor(service: Service) {
this.employees = service.getEmployees();
this.itemCount = this.employees.length;
this.setPageEmployees();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
body {
overflow-x: hidden;
}
.demo-container {
display: flex;
flex-direction: column;
align-items: center;
}
.container {
min-width: 720px;
width: 100%;
}
::ng-deep .employees {
display: flex;
flex-wrap: wrap;
gap: 16px;
min-height: 644px;
padding-bottom: 24px;
}
::ng-deep employee-card {
width: 100%;
max-height: 312px;
align-self: stretch;
overflow: hidden;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
background-color: var(--dx-component-color-bg);
}
::ng-deep .employees.employees--forth employee-card {
min-width: 250px;
width: 390px;
flex-basis: calc(50% - 10px);
}
::ng-deep .employees.employees--six employee-card {
flex-basis: calc(33.3% - 12.5px);
}
::ng-deep .employees__img-wrapper {
height: 180px;
position: relative;
overflow: hidden;
border-bottom: var(--dx-border-width) solid var(--dx-color-border);
background-color: #fff;
}
::ng-deep .employees__img {
display: block;
height: 220px;
position: absolute;
content: "";
left: 50%;
top: 0;
transform: translateX(-50%);
}
::ng-deep .employees__info {
padding: 24px;
}
::ng-deep .employees__info-row {
margin-bottom: 8px;
text-wrap: nowrap;
}
::ng-deep .employees__info-label {
display: inline-block;
font-weight: 600;
vertical-align: middle;
}
::ng-deep .employees.employees--forth .employees__info-label {
width: 160px;
}
::ng-deep .employees.employees--six .employees__info-label {
width: 80px;
}
::ng-deep .employees__info-value {
display: inline-block;
text-wrap: nowrap;
text-overflow: ellipsis;
vertical-align: middle;
overflow: hidden;
white-space:nowrap
}
::ng-deep .employees.employees--forth .employees__info-value {
max-width: 180px;
}
::ng-deep .employees.employees--six .employees__info-value {
max-width: 120px;
}
import { Injectable } from '@angular/core';
export class Employee {
ID: number;
FullName: string;
Title: string;
Employee_Picture: string;
Picture: string;
MobilePhone: string;
}
const employees: Employee[] = [
{
ID: 1,
FullName: 'John Heart',
Title: 'CEO',
Employee_Picture: '01.png',
Picture: '../../../../images/employees/01.png',
MobilePhone: '2135559392',
},
{
ID: 2,
FullName: 'Samantha Bright',
Title: 'COO',
Employee_Picture: '30.png',
Picture: '../../../../images/employees/30.png',
MobilePhone: '2135552858',
},
{
ID: 3,
FullName: 'Arthur Miller',
Title: 'CTO',
Employee_Picture: '10.png',
Picture: '../../../../images/employees/10.png',
MobilePhone: '3105558583',
},
{
ID: 4,
FullName: 'Robert Reagan',
Title: 'CMO',
Employee_Picture: '03.png',
Picture: '../../../../images/employees/03.png',
MobilePhone: '8185552387',
},
{
ID: 5,
FullName: 'Greta Sims',
Title: 'HR Manager',
Employee_Picture: '04.png',
Picture: '../../../../images/employees/04.png',
MobilePhone: '8185556546',
},
{
ID: 6,
FullName: 'Brett Wade',
Title: 'IT Manager',
Employee_Picture: '05.png',
Picture: '../../../../images/employees/05.png',
MobilePhone: '6265550358',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Title: 'Controller',
Employee_Picture: '06.png',
Picture: '../../../../images/employees/06.png',
MobilePhone: '5625552082',
},
{
ID: 8,
FullName: 'Ed Holmes',
Title: 'Sales Manager',
Employee_Picture: '11.png',
Picture: '../../../../images/employees/11.png',
MobilePhone: '3105551288',
},
{
ID: 9,
FullName: 'Barb Banks',
Title: 'Support Manager',
Employee_Picture: '20.png',
Picture: '../../../../images/employees/20.png',
MobilePhone: '3105553355',
},
{
ID: 10,
FullName: 'Kevin Carter',
Title: 'Shipping Manager',
Employee_Picture: '07.png',
Picture: '../../../../images/employees/07.png',
MobilePhone: '2135552840',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Title: 'HR Assistant',
Employee_Picture: '08.png',
Picture: '../../../../images/employees/08.png',
MobilePhone: '8185556655',
},
{
ID: 12,
FullName: 'Sammy Hill',
Title: 'Sales Assistant',
Employee_Picture: '12.png',
Picture: '../../../../images/employees/12.png',
MobilePhone: '6265557292',
},
{
ID: 13,
FullName: 'Davey Jones',
Title: 'Shipping Assistant',
Employee_Picture: '13.png',
Picture: '../../../../images/employees/13.png',
MobilePhone: '6265550281',
},
{
ID: 14,
FullName: 'Victor Norris',
Title: 'Shipping Assistant',
Employee_Picture: '14.png',
Picture: '../../../../images/employees/14.png',
MobilePhone: '2135559278',
},
{
ID: 15,
FullName: 'Mary Stern',
Title: 'Shipping Assistant',
Employee_Picture: '15.png',
Picture: '../../../../images/employees/15.png',
MobilePhone: '8185557857',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Title: 'Shipping Assistant',
Employee_Picture: '16.png',
Picture: '../../../../images/employees/16.png',
MobilePhone: '8185550942',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Title: 'Support Assistant',
Employee_Picture: '17.png',
Picture: '../../../../images/employees/17.png',
MobilePhone: '8185559248',
},
{
ID: 18,
FullName: 'James Anderson',
Title: 'Support Assistant',
Employee_Picture: '18.png',
Picture: '../../../../images/employees/18.png',
MobilePhone: '3235554702',
},
{
ID: 19,
FullName: 'Antony Remmen',
Title: 'Support Assistant',
Employee_Picture: '19.png',
Picture: '../../../../images/employees/19.png',
MobilePhone: '3105556625',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Title: 'Sales Assistant',
Employee_Picture: '09.png',
Picture: '../../../../images/employees/09.png',
MobilePhone: '3105552728',
},
{
ID: 21,
FullName: 'Taylor Riley',
Title: 'Network Admin',
Employee_Picture: '21.png',
Picture: '../../../../images/employees/21.png',
MobilePhone: '3105557276',
},
{
ID: 22,
FullName: 'Amelia Harper',
Title: 'Network Admin',
Employee_Picture: '22.png',
Picture: '../../../../images/employees/22.png',
MobilePhone: '2135554276',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Title: 'Programmer',
Employee_Picture: '23.png',
Picture: '../../../../images/employees/23.png',
MobilePhone: '8185558872',
},
{
ID: 24,
FullName: 'Brad Jameson',
Title: 'Programmer',
Employee_Picture: '24.png',
Picture: '../../../../images/employees/24.png',
MobilePhone: '8185554646',
},
{
ID: 25,
FullName: 'Karen Goodson',
Title: 'Programmer',
Employee_Picture: '25.png',
Picture: '../../../../images/employees/25.png',
MobilePhone: '6265550908',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Title: 'Travel Coordinator',
Employee_Picture: '26.png',
Picture: '../../../../images/employees/26.png',
MobilePhone: '2135557098',
},
{
ID: 27,
FullName: 'Sandy Bright',
Title: 'Benefits Coordinator',
Employee_Picture: '27.png',
Picture: '../../../../images/employees/27.png',
MobilePhone: '8185550524',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Title: 'Graphic Designer',
Employee_Picture: '28.png',
Picture: '../../../../images/employees/28.png',
MobilePhone: '8185558238',
},
{
ID: 29,
FullName: 'Violet Bailey',
Title: 'Jr Graphic Designer',
Employee_Picture: '29.png',
Picture: '../../../../images/employees/29.png',
MobilePhone: '8185552478',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Title: 'Ombudsman',
Employee_Picture: '02.png',
Picture: '../../../../images/employees/02.png',
MobilePhone: '5625559282',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Title: 'Trainer',
Employee_Picture: '31.png',
Picture: '../../../../images/employees/31.png',
MobilePhone: '5625558377',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Title: 'Director of Engineering',
Employee_Picture: '32.png',
Picture: '../../../../images/employees/32.png',
MobilePhone: '7145552000',
},
{
ID: 33,
FullName: 'Leah Simpson',
Title: 'Test Coordinator',
Employee_Picture: '33.png',
Picture: '../../../../images/employees/33.png',
MobilePhone: '5625595830',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Title: 'Engineer',
Employee_Picture: '34.png',
Picture: '../../../../images/employees/34.png',
MobilePhone: '7145558882',
},
{
ID: 35,
FullName: 'Billy Zimmer',
Title: 'Engineer',
Employee_Picture: '51.png',
Picture: '../../../../images/employees/51.png',
MobilePhone: '9095556939',
},
{
ID: 36,
FullName: 'Samantha Piper',
Title: 'Engineer',
Employee_Picture: '35.png',
Picture: '../../../../images/employees/35.png',
MobilePhone: '3235554512',
},
{
ID: 37,
FullName: 'Maggie Boxter',
Title: 'Engineer',
Employee_Picture: '36.png',
Picture: '../../../../images/employees/36.png',
MobilePhone: '7145557239',
},
{
ID: 38,
FullName: 'Terry Bradley',
Title: 'QA Engineer',
Employee_Picture: '37.png',
Picture: '../../../../images/employees/37.png',
MobilePhone: '8055552788',
},
{
ID: 39,
FullName: 'Gabe Jones',
Title: 'Retail Coordinator',
Employee_Picture: '38.png',
Picture: '../../../../images/employees/38.png',
MobilePhone: '3105555395',
},
{
ID: 40,
FullName: 'Lucy Ball',
Title: 'Sales Assistant',
Employee_Picture: '39.png',
Picture: '../../../../images/employees/39.png',
MobilePhone: '3105553357',
},
{
ID: 41,
FullName: 'Jim Packard',
Title: 'Retail Sales Manager',
Employee_Picture: '40.png',
Picture: '../../../../images/employees/40.png',
MobilePhone: '6615558224',
},
{
ID: 42,
FullName: 'Hannah Brookly',
Title: 'Online Sales Manager',
Employee_Picture: '41.png',
Picture: '../../../../images/employees/41.png',
MobilePhone: '8055553627',
},
{
ID: 43,
FullName: 'Harv Mudd',
Title: 'Retail Sales Manager',
Employee_Picture: '42.png',
Picture: '../../../../images/employees/42.png',
MobilePhone: '8315553895',
},
{
ID: 44,
FullName: 'Clark Morgan',
Title: 'Retail Sales Manager',
Employee_Picture: '43.png',
Picture: '../../../../images/employees/43.png',
MobilePhone: '9255552525',
},
{
ID: 45,
FullName: 'Todd Hoffman',
Title: 'Retail Sales Manager',
Employee_Picture: '44.png',
Picture: '../../../../images/employees/44.png',
MobilePhone: '9255553579',
},
{
ID: 46,
FullName: 'Jackie Garmin',
Title: 'Support Assistant',
Employee_Picture: '45.png',
Picture: '../../../../images/employees/45.png',
MobilePhone: '2135551824',
},
{
ID: 47,
FullName: 'Lincoln Bartlett',
Title: 'Sales Assistant',
Employee_Picture: '46.png',
Picture: '../../../../images/employees/46.png',
MobilePhone: '2135558272',
},
{
ID: 48,
FullName: 'Brad Farkus',
Title: 'Engineer',
Employee_Picture: '47.png',
Picture: '../../../../images/employees/47.png',
MobilePhone: '2135553626',
},
{
ID: 49,
FullName: 'Jenny Hobbs',
Title: 'Shipping Assistant',
Employee_Picture: '48.png',
Picture: '../../../../images/employees/48.png',
MobilePhone: '3105552668',
},
{
ID: 50,
FullName: 'Dallas Lou',
Title: 'Shipping Assistant',
Employee_Picture: '49.png',
Picture: '../../../../images/employees/49.png',
MobilePhone: '2135558357',
},
{
ID: 51,
FullName: 'Stu Pizaro',
Title: 'Engineer',
Employee_Picture: '50.png',
Picture: '../../../../images/employees/50.png',
MobilePhone: '2135552552',
},
];
@Injectable()
export class Service {
getEmployees() {
return employees;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "21.2.17"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
<div class="employees__img-wrapper">
<img
class="employees__img"
[src]="employee.Picture"
[alt]="employee.FullName"
/>
</div>
<div class="employees__info">
<div class="employees__info-row">
<span class="employees__info-label">Full Name:</span>
<span class="employees__info-value">{{ employee.FullName }}</span>
</div>
<div class="employees__info-row">
<span class="employees__info-label">Position:</span>
<span class="employees__info-value">{{ employee.Title }}</span>
</div>
<div class="employees__info-row">
<span class="employees__info-label">Phone:</span>
<span class="employees__info-value">{{ employee.MobilePhone }}</span>
</div>
</div>
import { Component, Input } from '@angular/core';
import { Employee } from '../app.service';
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'employee-card',
templateUrl: `app/employee-card/employee-card.component.html`,
})
export class EmployeeCard {
@Input() employee: Employee;
}

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the Pagination features used.
Backend API
<template>
<div
class="employees"
:class="{
'employees--forth': pageSize === 4,
'employees--six': pageSize === 6,
}"
>
<div
class="employees__card"
v-for="employee in pageEmployees"
:key="employee.ID"
>
<div class="employees__img-wrapper">
<img
class="employees__img"
:src="employee.Picture"
:alt="employee.FullName"
>
</div>
<div class="employees__info">
<div class="employees__info-row">
<span class="employees__info-label">Full Name:</span>
<span class="employees__info-value">{{ employee.FullName }}</span>
</div>
<div class="employees__info-row">
<span class="employees__info-label">Position:</span>
<span class="employees__info-value">{{ employee.Title }}</span>
</div>
<div class="employees__info-row">
<span class="employees__info-label">Phone:</span>
<span class="employees__info-value">{{ employee.MobilePhone }}</span>
</div>
</div>
</div>
</div>
<DxPagination
:show-info="showInfo"
:show-navigation-buttons="showPageSizeSelector"
:allowed-page-sizes="pageSizes"
v-model:page-index="pageIndex"
v-model:page-size="pageSize"
:item-count="itemCount"
/>
</template>
<script setup lang="ts">
import { computed, ref } from 'vue';
import DxPagination from 'devextreme-vue/pagination';
import { employees } from './data.ts';
const getPageEmployees = (
pageIndex: number,
pageSize: number,
) => employees.slice((pageIndex - 1) * pageSize, pageIndex * pageSize);
const pageSizes = [4, 6];
const showInfo = true;
const showPageSizeSelector = true;
const pageIndex = ref(1);
const pageSize = ref(4);
const itemCount = employees.length;
const pageEmployees = computed(() => getPageEmployees(pageIndex.value, pageSize.value));
</script>
<style>
body {
overflow-x: hidden;
}
.demo-container {
display: flex;
flex-direction: column;
align-items: center;
}
.container {
min-width: 720px;
width: 100%;
}
.employees {
display: flex;
flex-wrap: wrap;
gap: 16px;
min-height: 644px;
padding-bottom: 24px;
}
.employees__card {
width: 100%;
max-height: 312px;
align-self: stretch;
overflow: hidden;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
background-color: var(--dx-component-color-bg);
}
.employees.employees--forth .employees__card {
min-width: 250px;
width: 390px;
flex-basis: calc(50% - 10px);
}
.employees.employees--six .employees__card {
flex-basis: calc(33.3% - 12.5px);
}
.employees__img-wrapper {
height: 180px;
position: relative;
overflow: hidden;
border-bottom: var(--dx-border-width) solid var(--dx-color-border);
background-color: #fff;
}
.employees__img {
display: block;
height: 220px;
position: absolute;
content: "";
left: 50%;
top: 0;
transform: translateX(-50%);
}
.employees__info {
padding: 24px;
}
.employees__info-row {
margin-bottom: 8px;
text-wrap: nowrap;
}
.employees__info-label {
display: inline-block;
font-weight: 600;
vertical-align: middle;
}
.employees.employees--forth .employees__info-label {
width: 160px;
}
.employees.employees--six .employees__info-label {
width: 80px;
}
.employees__info-value {
display: inline-block;
text-wrap: nowrap;
text-overflow: ellipsis;
vertical-align: middle;
overflow: hidden;
white-space:nowrap
}
.employees.employees--forth .employees__info-value {
max-width: 180px;
}
.employees.employees--six .employees__info-value {
max-width: 120px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export interface Employee {
ID: number;
FullName: string;
Title: string;
Employee_Picture: string;
Picture: string;
MobilePhone: string;
}
export const employees: Employee[] = [
{
ID: 1,
FullName: 'John Heart',
Title: 'CEO',
Employee_Picture: '01.png',
Picture: '../../../../images/employees/01.png',
MobilePhone: '2135559392',
},
{
ID: 2,
FullName: 'Samantha Bright',
Title: 'COO',
Employee_Picture: '30.png',
Picture: '../../../../images/employees/30.png',
MobilePhone: '2135552858',
},
{
ID: 3,
FullName: 'Arthur Miller',
Title: 'CTO',
Employee_Picture: '10.png',
Picture: '../../../../images/employees/10.png',
MobilePhone: '3105558583',
},
{
ID: 4,
FullName: 'Robert Reagan',
Title: 'CMO',
Employee_Picture: '03.png',
Picture: '../../../../images/employees/03.png',
MobilePhone: '8185552387',
},
{
ID: 5,
FullName: 'Greta Sims',
Title: 'HR Manager',
Employee_Picture: '04.png',
Picture: '../../../../images/employees/04.png',
MobilePhone: '8185556546',
},
{
ID: 6,
FullName: 'Brett Wade',
Title: 'IT Manager',
Employee_Picture: '05.png',
Picture: '../../../../images/employees/05.png',
MobilePhone: '6265550358',
},
{
ID: 7,
FullName: 'Sandra Johnson',
Title: 'Controller',
Employee_Picture: '06.png',
Picture: '../../../../images/employees/06.png',
MobilePhone: '5625552082',
},
{
ID: 8,
FullName: 'Ed Holmes',
Title: 'Sales Manager',
Employee_Picture: '11.png',
Picture: '../../../../images/employees/11.png',
MobilePhone: '3105551288',
},
{
ID: 9,
FullName: 'Barb Banks',
Title: 'Support Manager',
Employee_Picture: '20.png',
Picture: '../../../../images/employees/20.png',
MobilePhone: '3105553355',
},
{
ID: 10,
FullName: 'Kevin Carter',
Title: 'Shipping Manager',
Employee_Picture: '07.png',
Picture: '../../../../images/employees/07.png',
MobilePhone: '2135552840',
},
{
ID: 11,
FullName: 'Cindy Stanwick',
Title: 'HR Assistant',
Employee_Picture: '08.png',
Picture: '../../../../images/employees/08.png',
MobilePhone: '8185556655',
},
{
ID: 12,
FullName: 'Sammy Hill',
Title: 'Sales Assistant',
Employee_Picture: '12.png',
Picture: '../../../../images/employees/12.png',
MobilePhone: '6265557292',
},
{
ID: 13,
FullName: 'Davey Jones',
Title: 'Shipping Assistant',
Employee_Picture: '13.png',
Picture: '../../../../images/employees/13.png',
MobilePhone: '6265550281',
},
{
ID: 14,
FullName: 'Victor Norris',
Title: 'Shipping Assistant',
Employee_Picture: '14.png',
Picture: '../../../../images/employees/14.png',
MobilePhone: '2135559278',
},
{
ID: 15,
FullName: 'Mary Stern',
Title: 'Shipping Assistant',
Employee_Picture: '15.png',
Picture: '../../../../images/employees/15.png',
MobilePhone: '8185557857',
},
{
ID: 16,
FullName: 'Robin Cosworth',
Title: 'Shipping Assistant',
Employee_Picture: '16.png',
Picture: '../../../../images/employees/16.png',
MobilePhone: '8185550942',
},
{
ID: 17,
FullName: 'Kelly Rodriguez',
Title: 'Support Assistant',
Employee_Picture: '17.png',
Picture: '../../../../images/employees/17.png',
MobilePhone: '8185559248',
},
{
ID: 18,
FullName: 'James Anderson',
Title: 'Support Assistant',
Employee_Picture: '18.png',
Picture: '../../../../images/employees/18.png',
MobilePhone: '3235554702',
},
{
ID: 19,
FullName: 'Antony Remmen',
Title: 'Support Assistant',
Employee_Picture: '19.png',
Picture: '../../../../images/employees/19.png',
MobilePhone: '3105556625',
},
{
ID: 20,
FullName: 'Olivia Peyton',
Title: 'Sales Assistant',
Employee_Picture: '09.png',
Picture: '../../../../images/employees/09.png',
MobilePhone: '3105552728',
},
{
ID: 21,
FullName: 'Taylor Riley',
Title: 'Network Admin',
Employee_Picture: '21.png',
Picture: '../../../../images/employees/21.png',
MobilePhone: '3105557276',
},
{
ID: 22,
FullName: 'Amelia Harper',
Title: 'Network Admin',
Employee_Picture: '22.png',
Picture: '../../../../images/employees/22.png',
MobilePhone: '2135554276',
},
{
ID: 23,
FullName: 'Wally Hobbs',
Title: 'Programmer',
Employee_Picture: '23.png',
Picture: '../../../../images/employees/23.png',
MobilePhone: '8185558872',
},
{
ID: 24,
FullName: 'Brad Jameson',
Title: 'Programmer',
Employee_Picture: '24.png',
Picture: '../../../../images/employees/24.png',
MobilePhone: '8185554646',
},
{
ID: 25,
FullName: 'Karen Goodson',
Title: 'Programmer',
Employee_Picture: '25.png',
Picture: '../../../../images/employees/25.png',
MobilePhone: '6265550908',
},
{
ID: 26,
FullName: 'Marcus Orbison',
Title: 'Travel Coordinator',
Employee_Picture: '26.png',
Picture: '../../../../images/employees/26.png',
MobilePhone: '2135557098',
},
{
ID: 27,
FullName: 'Sandy Bright',
Title: 'Benefits Coordinator',
Employee_Picture: '27.png',
Picture: '../../../../images/employees/27.png',
MobilePhone: '8185550524',
},
{
ID: 28,
FullName: 'Morgan Kennedy',
Title: 'Graphic Designer',
Employee_Picture: '28.png',
Picture: '../../../../images/employees/28.png',
MobilePhone: '8185558238',
},
{
ID: 29,
FullName: 'Violet Bailey',
Title: 'Jr Graphic Designer',
Employee_Picture: '29.png',
Picture: '../../../../images/employees/29.png',
MobilePhone: '8185552478',
},
{
ID: 30,
FullName: 'Ken Samuelson',
Title: 'Ombudsman',
Employee_Picture: '02.png',
Picture: '../../../../images/employees/02.png',
MobilePhone: '5625559282',
},
{
ID: 31,
FullName: 'Nat Maguiree',
Title: 'Trainer',
Employee_Picture: '31.png',
Picture: '../../../../images/employees/31.png',
MobilePhone: '5625558377',
},
{
ID: 32,
FullName: 'Bart Arnaz',
Title: 'Director of Engineering',
Employee_Picture: '32.png',
Picture: '../../../../images/employees/32.png',
MobilePhone: '7145552000',
},
{
ID: 33,
FullName: 'Leah Simpson',
Title: 'Test Coordinator',
Employee_Picture: '33.png',
Picture: '../../../../images/employees/33.png',
MobilePhone: '5625595830',
},
{
ID: 34,
FullName: 'Arnie Schwartz',
Title: 'Engineer',
Employee_Picture: '34.png',
Picture: '../../../../images/employees/34.png',
MobilePhone: '7145558882',
},
{
ID: 35,
FullName: 'Billy Zimmer',
Title: 'Engineer',
Employee_Picture: '51.png',
Picture: '../../../../images/employees/51.png',
MobilePhone: '9095556939',
},
{
ID: 36,
FullName: 'Samantha Piper',
Title: 'Engineer',
Employee_Picture: '35.png',
Picture: '../../../../images/employees/35.png',
MobilePhone: '3235554512',
},
{
ID: 37,
FullName: 'Maggie Boxter',
Title: 'Engineer',
Employee_Picture: '36.png',
Picture: '../../../../images/employees/36.png',
MobilePhone: '7145557239',
},
{
ID: 38,
FullName: 'Terry Bradley',
Title: 'QA Engineer',
Employee_Picture: '37.png',
Picture: '../../../../images/employees/37.png',
MobilePhone: '8055552788',
},
{
ID: 39,
FullName: 'Gabe Jones',
Title: 'Retail Coordinator',
Employee_Picture: '38.png',
Picture: '../../../../images/employees/38.png',
MobilePhone: '3105555395',
},
{
ID: 40,
FullName: 'Lucy Ball',
Title: 'Sales Assistant',
Employee_Picture: '39.png',
Picture: '../../../../images/employees/39.png',
MobilePhone: '3105553357',
},
{
ID: 41,
FullName: 'Jim Packard',
Title: 'Retail Sales Manager',
Employee_Picture: '40.png',
Picture: '../../../../images/employees/40.png',
MobilePhone: '6615558224',
},
{
ID: 42,
FullName: 'Hannah Brookly',
Title: 'Online Sales Manager',
Employee_Picture: '41.png',
Picture: '../../../../images/employees/41.png',
MobilePhone: '8055553627',
},
{
ID: 43,
FullName: 'Harv Mudd',
Title: 'Retail Sales Manager',
Employee_Picture: '42.png',
Picture: '../../../../images/employees/42.png',
MobilePhone: '8315553895',
},
{
ID: 44,
FullName: 'Clark Morgan',
Title: 'Retail Sales Manager',
Employee_Picture: '43.png',
Picture: '../../../../images/employees/43.png',
MobilePhone: '9255552525',
},
{
ID: 45,
FullName: 'Todd Hoffman',
Title: 'Retail Sales Manager',
Employee_Picture: '44.png',
Picture: '../../../../images/employees/44.png',
MobilePhone: '9255553579',
},
{
ID: 46,
FullName: 'Jackie Garmin',
Title: 'Support Assistant',
Employee_Picture: '45.png',
Picture: '../../../../images/employees/45.png',
MobilePhone: '2135551824',
},
{
ID: 47,
FullName: 'Lincoln Bartlett',
Title: 'Sales Assistant',
Employee_Picture: '46.png',
Picture: '../../../../images/employees/46.png',
MobilePhone: '2135558272',
},
{
ID: 48,
FullName: 'Brad Farkus',
Title: 'Engineer',
Employee_Picture: '47.png',
Picture: '../../../../images/employees/47.png',
MobilePhone: '2135553626',
},
{
ID: 49,
FullName: 'Jenny Hobbs',
Title: 'Shipping Assistant',
Employee_Picture: '48.png',
Picture: '../../../../images/employees/48.png',
MobilePhone: '3105552668',
},
{
ID: 50,
FullName: 'Dallas Lou',
Title: 'Shipping Assistant',
Employee_Picture: '49.png',
Picture: '../../../../images/employees/49.png',
MobilePhone: '2135558357',
},
{
ID: 51,
FullName: 'Stu Pizaro',
Title: 'Engineer',
Employee_Picture: '50.png',
Picture: '../../../../images/employees/50.png',
MobilePhone: '2135552552',
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('.container');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="container"></div>
</div>
</body>
</html>